PayMaya's WooCommerce Checkout Plugin Upgraded!
Posted by Jaime Garcia • Friday May 12, 2017 01:07 AM

Good news everyone! PayMaya’s WooCommerce Checkout Plugin is now compatible with WooCommerce 3.0.6!

 

The technical steps to get it working have not changed. Go give it a whirl!